Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TResultColumn

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNodeWithAliasClause
              gudusoft.gsqlparser.nodes.TResultColumn

All Implemented Interfaces:
  Visitable

    public class TResultColumn

extends TNodeWithAliasClause

This class represents select_list item in select statement, lets you specify the columns you want to retrieve from the table.

Syntax:

>      query_name|[schema.]{table|view|materialized_view}|expr [ [AS] alias]

or, set column values in update_set_clause.

Syntax:

>     column = expr|(subquery)

or, values clause in insert statement was represented by `TResultColumnList`.

Syntax:

>     (expr,expr)

Constructor Summary
`TResultColumn()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TExpression` | `getExpr()` column expression.
`TObjectName` | `getFieldAttr()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isPlaceHolder()` this is true when there is no column names specified for fields in teradata insert statement
`void` | `setPlaceHolder(boolean placeHolder)`
`void` | `TResultColumn()`

Methods inherited from class gudusoft.gsqlparser.nodes.TNodeWithAliasClause
`getAliasClause, setAliasClause, toString`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TResultColumn

    public TResultColumn()

Method Detail

### TResultColumn

    public void TResultColumn()

### setPlaceHolder

    public void setPlaceHolder(boolean placeHolder)

### isPlaceHolder

    public boolean isPlaceHolder()

  this is true when there is no column names specified for fields in teradata insert statement

  INSERT INTO employee (10005, 'Orebo B',300,,,, 'Nov 17 1957','M',,,18,);

  Returns:

### getExpr

    public TExpression getExpr()

  column expression. If there is only column name in a select_list item, then, this expr is type of `TExpression.simpleObjectname`,

  Otherwise, it maybe a complex expr, you should check `TExpression.getExpressionType()`.

  for column values in update_set_clause, this expr is type of `TExpression.ASSIGNMENT`

  Returns:

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### getFieldAttr

    public TObjectName getFieldAttr()

  Returns:
    this is used to provide back compatibility of .NET version only.

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD